package com.zhgd.xmgl.util;

import lombok.experimental.UtilityClass;

@UtilityClass
public class ParamEnum {

    /**
     *  附件类型枚举
     */
    public enum AnnexFileType {
        ENGINEERING(1, "工程附件"),
        NOTICE(2, "工程附件"),
        POLICY(3, "政策法规附件");

        private Integer value;
        private String desc;

        public Integer getValue() {
            return value;
        }

        public String getDesc() {
            return desc;
        }

        AnnexFileType(Integer value, String desc) {
            this.value = value;
            this.desc = desc;
        }
    }

    /**
     *  模块标签类型
     */
    public enum ModuleLabel {
        SAFE(1, "安全监管"),
        QUALITY(2, "质量监管"),
        WISDOM(3, "智慧监管");

        private Integer value;
        private String desc;

        public Integer getValue() {
            return value;
        }

        public String getDesc() {
            return desc;
        }

        ModuleLabel(Integer value, String desc) {
            this.value = value;
            this.desc = desc;
        }
    }

    /**
     *  字典类型
     */
    public enum SysDictType {
        MODULE_TYPE("module_type", "模块类型"),
        MODULE_STYLE_TYPE("module_style_type", "模块风格"),
        ENGINEERING_TYPE("engineering_type", "工程类型"),
        ENGINEERING_STATE("engineering_state", "工程状态"),
        AI_ALARM_TYPE("ai_alarm_type", "AI预警类型"),
        ATTEND_DEV_PRODUCE("attend_dev_produce", "考勤设备厂商"),
        ATTEND_DEV_ADD_API("attend_dev_add_api", "考勤设备新增接口"),
        ATTEND_DEV_DEL_API("attend_dev_del_api", "考勤设备删除接口"),
        ATTEND_WORKER_ADD_API("attend_worker_add_api", "考勤人员新增接口"),
        ATTEND_WORKER_DEL_API("attend_worker_del_api", "考勤人员删除接口");

        private String value;
        private String desc;

        public String getValue() {
            return value;
        }

        public String getDesc() {
            return desc;
        }

        SysDictType(String value, String desc) {
            this.value = value;
            this.desc = desc;
        }
    }
}
